NET_UnrefAddress(3)

NAME
NET_UnrefAddress - Drop a reference to an NET_Address.

SYNOPSIS
#include <SDL3_net/SDL_net.h>

void NET_UnrefAddress(NET_Address *address);

DESCRIPTION
Since several pieces of the library might share a single NET_Address, including a background thread that's working on resolving, these objects are referenced counted. This allows everything that's using it to declare they still want it, and drop their reference to the address when they are done with it. The object's resources are freed when the last reference is dropped.

This function drops a reference to an NET_Address, decreasing its reference count by one.

The documentation will tell you when the app has to explicitly unref an address. For example, NET_ResolveHostname() creates addresses that are already referenced, so the caller needs to unref it when done.

FUNCTION PARAMETERS

address
    The NET_Address to drop a reference to.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_net 3.0.0.